# Changelog

## 1.6.1 (Feb 15, 2022)

### Fix

-   Fixed different size issue for `RadioGroup` options.

## 1.6.0 (Feb 14, 2022)

### Update

-   Upgraded `Checkbox` component with partial, error & focus states for better UX
-   Upgraded Storybook look & feel to align with brand designs
-   Move `copyToClipboard` as util function
-   Updated `Icon` component storybook layout
-   Introduced new categories for stories, each category is differentiated with header color & has specific identity

    -   Foundation - This is for Colors, Icons & more to be added exclusively for mondra brand
    -   Elements - This is for common HTML elements which will be styled as per foundation colors
    -   Components - This is for complex & custom UI elements such as Autocomplete, Pills etc..

## 1.5.2 (Feb 08, 2022)

### Added

-   Added `options` list prop to `renderAddArea` function in `Autocomplete`.

## 1.5.1 (Feb 04, 2022)

### Added

-   Added `noTableData` iconType

# 1.5.0 (Feb 01, 2022)

### Added

-   Added `ImpactRadioGroup` component.
-   Exposed `ImpactRadioOptions` and `ImpactRadioOptionClasses` datasets.
-   Exposed `IMPACT_TYPES`, `IMPACT_MEASURES` and `IMPACT_UNITS` enums.

# 1.4.11 (Jan 14, 2022)

### Added

-   Added title tooltip to `Autocomplete` and `Dropdown` list options.

# 1.4.9, 1.4.10 (Jan 10, 2022)

### Added

-   Added explicit `colors` to mondra theme
-   Implement storybook for Colors Swatch
-   Fix npm module files

# 1.4.8 (Jan 4, 2022)

### Added

-   Show default option (No record found) if no option available.
-   Added `noOptionText` prop in `Autocomplete` and `Dropdown`

# 1.4.7 (Dec 14, 2021)

### Added

-   Added `className` prop in `Autocomplete`

# 1.4.6 (Dec 3, 2021)

### Update

-   Updated logic to handle layers in `Slideover`

# 1.4.5 (Dec 2, 2021)

### Added

-   Added `level` and `totalLayers` prop to `Slideover`

# 1.4.4 (Nov 30, 2021)

### Added

-   Added `selected` prop to `Autocomplete`

# 1.4.3 (Nov 24, 2021)

### Added

-   Added `containerClassName` prop to `Dialog`

# 1.4.2 (Nov 16, 2021)

### Update

-   Added `iconSize` prop to `IconButton`

# 1.4.1 (Nov 10, 2021)

### Added

-   Icons for `improve`, `chart-treemap`, `incomplete-data`, `water`

# 1.4.0 (Nov 08, 2021)

### Added

-   Refactor Slideover component
-   Remove local state for open and close slideover. Now there will be only source of truth and it should handle by yourself.
-   Remove Context wrapper. Related to previous (you should handle open/close state by yourself)
-   Fix overflow styles for body. Before it was always hidden.
-   P.S. Commented 'useLockDocumentScroll' hook. Need to figure out if it needed. If not, it should be removed.

-   RadioGroup component
-   Remove unneeded styles from dark mode

# 1.3.1 (Nov 04, 2021)

### Added

-   "showOverlayTitle" for Slideover
-   "boxShadow" for Slideover
-   "optionContentClassName" for RadioGroup

## 1.3.0 (Nov 03, 2021)

### Added

-   Added `scales` iconType

### Extended

-   Extended RadioGroup with isDarkMode
-   Add 'overlayOpacity' prop to Slideover

### Fixed

-   Slideover overlay blinking
-   Add appear={true} to Slideover transition, so transition now works every time

## 1.2.0 (Oct 22, 2021)

### Added

-   Added `play` iconType

### Changed

-   Added `className` default color as `text-gray-900`

## 1.1.0 (Oct 21, 2021)

### Added

-   `AutoComplete` added new valid property to show control in error state with red boarder
-   `AutoComplete` added new loader property, that can be used to show when data is being loaded.

### Updated

-   `AutoComplete` changed to provide clear button when an item is selected or search text is entered

## 1.0.0 (Oct 20, 2021)

### Added

-   Added `spinnerThird` & `waste` icon paths
-   Added `iconType` prop in `AutocompleteItem`
-   Added `iconSize` prop in `Button`
-   Added `iconType` prop in `DropdownOption`

### Breaking Change

-   Remove iconType === 'font-awesome' logic, always use iconType from `Icon` component paths
-   `AutoComplete` prop changed `toggleButtonIcon` --> `toggleIconType`
-   `AutocompleteGroupList` prop changed `iconClass` --> `iconType`
-   `AutocompleteList` prop changed `iconClass` --> `iconType`

### Fixed

-   Remove font awesome library dependency & icon references from below components
    -   `AutoComplete`
    -   `Button`
    -   `ConfirmDialog`
    -   `DialogClose`
    -   `Dropdown`
    -   `ErrorLabel`
    -   `FormDialog`
    -   `IconButton`
    -   `Icon`
    -   `Input`
    -   `Slideover`

## 0.0.77 (Oct 8, 2021)

### Feature

-   Update icons `sort`, `sortUp`, `sortDown`

## 0.0.76 (Oct 8, 2021)

### Feature

-   Add new icons `book`, `building`, `caretDown`, `caretUp`, `circle`, `circleSolid`, `copy`, `fileExcel`, `fileImport`, `idCard`, `sort`, `sortUp`, `sortDown`, `trashUndo`

## 0.0.75 - (Oct 4, 2021)

### Feature

-   Add LottieLoader component
-   Add butterflyLottie animation

## 0.0.74

### Feature

-   Add new icons `email`, `emailDelivered`, `emailRead`, `externalLink`, `minus`, `minusOutline`, `minusSolid` and `settings`

## 0.0.73

### Feature

-   Add new icon `resources`

## 0.0.72 - (August 31, 2021)

### Fix

-   Fix `InputAddons` default margin.

## 0.0.71 - (August 31, 2021)

### Feature

-   Add new `InputAddons` component for adorments input control.

## 0.0.70 - (August 31, 2021)

### Feature

-   Add `labelClass` and `labelContainerClass` for `Dropdown`.

## 0.0.69 - (August 3, 2021)

### Feature

-   Add `event` param as second param on Checkbox `onChange` event.

## 0.0.68 - (July 30, 2021)

### Feature

-   Add color change of supplied product marker.

## 0.0.67 - (July 30, 2021)

### Feature

-   Add `leadingIcon` prop to AutoComplete option.

## 0.0.66 - (July 27, 2021)

### Feature

-   Add `carbonImpact` path
-   Add `waterUsageImpact` path
-   Add `waterPollutionImpact` path
-   Add `bioImpact` path
-   Fix location marker icon paths

## 0.0.65 - (July 14, 2021)

### Fix

-   Add `className` props into `DropdownTrigger` components

## 0.0.64 - (July 14, 2021)

### Fix

-   Add `optionsContainerClass` & `optionsZIndex` props into `Dropdown` & `Autocomplete` components
-   Rename `funnel` icon to `filter` and add appropriate icon paths

## 0.0.63 - (July 13, 2021)

### Fix

-   Exposed checkbox component
-   Added new Funnel icon
-   Added hideSecondaryBtn property to ConfirmDialog and FormDialog

## 0.0.62 - (July 12, 2021)

### Fix

-   Removed `onSubmit` props in `FormDialog`

## 0.0.61 - (July 12, 2021)

### Fix

-   Add `formId` props in `FormDialog`

## 0.0.60 - (July 11, 2021)

### Fix

-   Add `ingredientMarker`, `suppliedProductMarker`, `supplierMarker` & `productMarker` icon paths

## 0.0.59 - (July 11, 2021)

### Fix

-   Add `arrowDown` icon in `Avatar` & `Dropdown` component

## 0.0.58 - (Jun 29, 2021)

### Fix

-   Add `className` prop in `Avatar`
-   Now `Avatar` supports more sizes `'2xl' | 'xl' | 'lg' | 'md' | 'sm'`
-   Add `style` prop in `Avatar`
-   Add `storybook:watch-css` task to run storybook & tailwind watch mode parallelly

## 0.0.57 - (Jun 29, 2021)

### Feature

-   Add `link` and `unlink` icon paths.
-   Add all icons from iconography assets - https://www.figma.com/file/dnSvtkm76sV24tuAT41P3Z/Foundation---Iconography?node-id=2%3A2

### Breaking changes

-   `bell` --> `notification`
-   `bellCutRight` --> `notificationNew`
-   `transport` --> `deliveryTruck`
-   `flash` --> `impact`
-   `flash-multi` --> `impact-multi`
-   `site` --> `industry`
-   `optimiser` --> `product-optimiser`
-   `retail` --> `sale`
-   `supply-chain` --> `supply-chain-greening`

## 0.0.56 - (Jun 24, 2021)

### Fix

-   Add dist folder path for final components css

## 0.0.55 - (Jun 24, 2021)

### Feature

-   Upgrade `tailwindcss` to `v2.2.4`

## 0.0.54 - (Jun 24, 2021)

### Feature

-   Add `Avatar` into `Autocomplete` List

## 0.0.53 - (Jun 24, 2021)

### Feature

-   Add `pie` icon.

## 0.0.52 - (Jun 23, 2021)

### Feature

-   Add `flashMulti` and `suppliedProducts` icons.

## 0.0.51 - (Jun 21, 2021)

### Fix

-   Change `z-index` position class to have `z-dialog` css class
-   Add `maxHeight` prop into `Autocomplete` & `Dropdown` lists

## 0.0.50 - (Jun 17, 2021)

### Fix

-   Add `onStateChange` prop to expose internal combobox state

## 0.0.49 - (Jun 16, 2021)

### Feature

-   Add `Avatar`
-   Add `ImageAvatar`

## 0.0.48 - (Jun 16, 2021)

### Fix

-   Add `Autocomplete` add new item area
-   Add `onInputValueChange` prop to expose input search text

## 0.0.47 - (Jun 10, 2021)

### Fix

-   Change `SlideoverHeader` `brandColor` prop to `brandColors`
    to accept styles related to bg, title and description

## 0.0.46 - (Jun 9, 2021)

### Feature

-   Add `Autocomplete` component
-   Add `Dropdown` component

## 0.0.45 - (Jun 9, 2021)

### Fix

-   Add `RadioGroup` in export list.

## 0.0.44 - (Jun 8, 2021)

### Feature

-   Add `Dialog`, `AlertDialog`, `ConfirmDialog` and `FormDialog` components

## 0.0.43 - (Jun 7, 2021)

### Feature

-   Add `Checkbox` component

## 0.0.42 - (Jun 3, 2021)

### Feature

-   Add `helpText` & `containerClass` props into `Label` component

## 0.0.41 - (Jun 3, 2021)

### Fix

-   Fix `Slideover` to have `IconButton` with `iconProps` as extensible

## 0.0.40 - (Jun 3, 2021)

### Feature

-   Add `RadioGroup` component

## 0.0.39 - (Jun 1, 2021)

### Feature

-   Add `IconButton` component

## 0.0.38 - (Jun 1, 2021)

### Fix

-   `Slideover` related theme configurations

## 0.0.37 - (Jun 1, 2021)

### Feature

-   Implement `ToggleSwitch` component

## 0.0.36 - (May 31, 2021)

### Fix

-   Add extended props to pass onto `Slideover`, `Slideover.Header` and `Slideover.Footer`
-   Add more test cases for `Slideover`

## 0.0.35 - (May 28, 2021)

### Fix

-   Fix `Slideover` z-index
-   Add z-slideover & z-dialog classes in tailwind theme
-   Rename `config` to `theme-config` for tailwind configuration
-   Add dropshadows to header and footer inside the `Slideover.Header` & `Slideover.Footer`

## 0.0.34 - (May 28, 2021)

### Fix

-   Upgrade `@headlessui/react` package to `v1.2.0`
-   `Slideover` component support for stacking
-   `Slideover` supports [Dialog Accessibility](https://www.w3.org/TR/wai-aria-practices-1.1/examples/dialog-modal/dialog.html), can set the `id`, `aria-labelledby` and `aria-describedby` using `...rest` props
-   Add `animate-overaly` for better slideover overaly animation.

## 0.0.32 & 0.0.33 - (May 25, 2021)

### Feature

-   Implemented ESLint and Prettier rules.
-   Exposed ESLint rules for other apps via `@mondra/ui-components/eslint-config`
-   Exposed Prettier config for other apps via `@mondra/ui-components/prettier-config`

## 0.0.31 - (May 13, 2021)

### Fix

-   Fix `Button` content layout issue & test cases
-   Add `Icon` paths for `produce`, `bellCutRight`, `bellCutLeft`, `flash`, `bell`, `butterfly`

## 0.0.30 - (May 6, 2021)

### Fix

-   Fix `Input`, `Textarea` text color to `text-secondary-900`
-   Fix `Label` text color to `text-gray-700` & invalid text color `text-red-600`

## 0.0.29 - (May 3, 2021)

### Feature

-   Add `path` in `Icon` for product optimiser

## 0.0.28 - (April 29, 2021)

### Fix

-   Fix `NavTab` & `Tab` outline issues

## 0.0.27 - (April 26, 2021)

### Fix

-   Fix danger `Button` variant background color

## 0.0.26 - (April 23, 2021)

### Fix

-   Fix `Tab` & `NavTab` hover styles

## 0.0.25 - (April 18, 2021)

### Fix

-   Add `containerClass` prop to `Input` component

## 0.0.24 - (April 14, 2021)

### Fix

-   Change `Slideover` top child element to `div` from `form`

## 0.0.23 - (April 14, 2021)

### Fix

-   Change `Button disabled` color to `bg-primary-200`

## 0.0.22 - (April 14, 2021)

### Fix

-   Change `ErrorLabel` color to `text-red-600`

## 0.0.21 - (April 12, 2021)

### Fix

-   Change `Button` secondary variant color

## 0.0.20 - (April 2, 2021)

### Fix

-   Fix `NavTabs` & `NavTab` styles

## 0.0.19 - (April 2, 2021)

### Fix

-   Fix `NavTabs` & `Tabs` border and selected mode issue

## 0.0.18 - (April 2, 2021)

### Fix

-   Fix `NavTabs` props issue

## 0.0.17 - (March 31, 2021)

### Feature

-   Fix `Nav Tabs` exporting issue

## 0.0.16 - (March 31, 2021)

### Feature

-   Add `Nav Tabs` styles

## 0.0.15 - (March 31, 2021)

### Fix

-   Fix `Tabs` export issue

## 0.0.14 - (March 31, 2021)

### Feature

-   Change `pageBgColor` style to `#F3F4F6`

## 0.0.13 - (March 31, 2021)

### Feature

-   Add `NavTabs, NavTab` components without styles
-   [TODO] - Need to add tests

## 0.0.12 - (March 30, 2021)

### Feature

-   Fix `Tab` disabled prop issue

## 0.0.11 - (March 29, 2021)

### Feature

-   Add `Tabs` component
-   Fix `Slideover, SlideoverHeader, SlideoverContent, SlideoverFooter` as named exports
-   Add `z-index: -1` style to tailwind config
-   [TODO] - Need to add unit tests for `Slideover` & `Tabs`

## 0.0.10 - (March 29, 2021)

### Feature

-   Add `Slideover` component more features & stories
-   Add `Button` default class for `group` & fix tests

## 0.0.9 - (March 28, 2021)

### Feature

-   Add `Slideover` component as V1 to test

## 0.0.8 - (March 28, 2021)

### Feature

-   Add `Button` component

## 0.0.7 - (March 26, 2021)

### Feature

-   Add `Select` component
-   Add few more test cases in `Input` component

## 0.0.6 - (March 26, 2021)

### Feature

-   Add left and right props to `Input` component
-   Add `Icon` component
-   Add `Textarea` component
-   Add `Label` component
-   Add `ErrorLabel` component

## 0.0.5 - (March 25, 2021)

### Feature

-   Add pre-commit hook from husky to run prettier & tests
-   Add `Input` component test cases using @testing-library/react & Jest

## 0.0.4 - (March 24, 2021)

### Feature

-   Change `.npmignore` file not to publish unwanted files
-   Fix storybook build for postcss styles

## 0.0.3 - (March 22, 2021)

### Feature

-   Add `.npmignore` file

## 0.0.2 - (March 22, 2021)

### Feature

-   Update README.md
-   Add CHANGELOG.md

## 0.0.1 - (March 22, 2021)

### Feature

-   Setup react, typescript, storybook & Tailwind CSS
-   Add `Input` to production bundle
