const defaultThemeColors = require('tailwindcss/colors')


const explicitColors = {
    amber: defaultThemeColors.amber,
    blue: defaultThemeColors.blue,
    blueGray: defaultThemeColors.blueGray,
    coolGray: defaultThemeColors.coolGray,
    cyan: defaultThemeColors.cyan,
    emerald: defaultThemeColors.emerald,
    fuchsia: defaultThemeColors.fuchsia,
    gray: defaultThemeColors.gray,
    green: defaultThemeColors.green,
    indigo: defaultThemeColors.indigo,
    lime: defaultThemeColors.lime,
    orange: defaultThemeColors.orange,
    pink: defaultThemeColors.pink,
    purple: defaultThemeColors.purple,
    red: defaultThemeColors.red,
    rose: defaultThemeColors.rose,
    sky: defaultThemeColors.sky,
    teal: defaultThemeColors.teal,
    trueGray: defaultThemeColors.trueGray,
    violet: defaultThemeColors.violet,
    warmGray: defaultThemeColors.warmGray,
    yellow: defaultThemeColors.yellow,
}

const gradeColors = {
    A: '#5DB130',
    'A+': '#009640',
    B: '#9FC31A',
    C: '#D6D700',
    D: '#FFED00',
    E: '#FCBF01',
    F: '#F08406',
    G: '#E30613',
}

const colors = {
    ...explicitColors,
    black: defaultThemeColors.black,
    current: 'currentColor',
    'eco-chart': {
        bio: '#C17E6E',
        carbon: '#4B9B9B',
        eutro: '#BCD2BD',
        water: '#EDC16C',
    },
    'eco-chart-dark': {
        bio: '#BA6D5B',
        carbon: '#2F696A',
        eutro: '#AAC5AB',
        water: '#E4A429',
    },
    grade: gradeColors,
    pageBgColor: '#F3F4F6',
    primary: {
        50: '#F0FAF9',
        100: '#E2F3F2',
        200: '#C6E6E4',
        300: '#81C5C3',
        400: '#59B1AF',
        500: '#4B9B9B',
        600: '#398789',
        700: '#2F696A',
        800: '#264F50',
        900: '#203B3C',
    },
    secondary: {
        50: '#F0F4F8',
        100: '#F0F4F8',
        200: '#BCCCDC',
        300: '#9FB3C8',
        400: '#829AB1',
        500: '#627D98',
        600: '#486581',
        700: '#334E68',
        800: '#243C53',
        900: '#192C3D',
    },
    transparent: 'transparent',
    white: defaultThemeColors.white,
}

module.exports = colors
